2006-12-26 Seth Remington <sremington@saberlogic.com>

	* SaberNet DCS 2.0.3 released

2006-12-26 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Scroll the end_activity screen automatically so
	that the currently focused widget is always visible.

2006-12-23 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Place the focus in the first editable widget on
	the "end activity" screen.

2006-12-23 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: OSD keyboard spacebar can now toggle the
	"complete" check box on the end activity screen.

2006-12-23 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py, sndcs2.glade: Fix issues with OSD keyboard
	including Tab not working on end activity screen, shift/caps lock
	issues, and "/exit" command not working.

2006-12-21 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Make the treeview_employee_list have the focus
	when the app starts up to avoid GTK+ warnings when a key is pressed
	and no widget has the focus

2006-12-20 Seth Remington <sremington@saberlogic.com>

	* dcs_edit_time/labordtl.py: job number should be converted to a
	string not an int

2006-11-29 Seth Remington <sremington@saberlogic.com>

	* dcs_edit_employees/photo.py: Fixed bug # [ 1605594 ] Error When
	Uploading Photo

2006-11-16 Seth Remington <sremington@saberlogic.com>

	* LaborHedFactory.py: Removed unnecessary ORDER BY clause from
	UPDATE statement.

2006-10-26 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Fixed bug # [ 1584749 ] New Setup Ganging button
	not disabled when activities suspended
	* Employee.py: Added the laborHed ID to the clock out event

2006-10-25 Seth Remington <sremington@saberlogic.com>

	* LaborDtl.py, LaborHed.py: Fixed bug # [ 1584734 ] Resuming a gang
	can create non-atomic start stamps

2006-10-16 Seth Remington <sremington@saberlogic.com>

	* sndcs2.glade: Moved the recent activity list under the current
	activities on the selected employee screen.

2006-10-02 Seth Remington <sremington@saberlogic.com>

	* debian/*, MANIFEST.in, setup.py: Added support for Debian builds

2006-09-29 Seth Remington <sremington@saberlogic.com>

	* JobHed.py: Added the job number to the job's formattedDescription()

2006-09-21 Seth Remington <sremington@saberlogic.com>

	* configure_sndcs.py: Added a 'Please press any key after reading the
	above message.' prompt if the necessary python database module isn't
	installed.

2006-09-19 Seth Remington <sremington@saberlogic.com>

	* SitePage.py, WapSitePage.py: Fixed bug [ 1561561 ] Incorrect Open
	date when creating a new job
	* Launch.py, sndcs2httpd: Hardcode the pid file location to
	/var/log/webkit.pid on posix systems so '/etc/init.d/sndcs2httpd stop'
	will work for the time being. The whole web server start/stop
	mechanism should probably be updated.

2006-09-17 Seth Remington <sremington@saberlogic.com>

	* SaberNet DCS 2.0.2 released

2006-09-16 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py, configure_sndcs.py: Added clock based on server
	time to the statusbar

2006-09-15 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Show busy status (busy mouse icon) while GUI is
	responding to user actions
	* EmployeeFactory.py: Fixed bug [ 1559069 ] Exception for invalid
	employee number

2006-09-08 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Fixed bug [ 1554323 ] Incorrect rows toggled on
	start gang screen

2006-09-06 Seth Remington <sremington@saberlogic.com>

	* sndcs_common/Win32HelperMixin.py, configure_sndcs.py,
	sndcs/Config.py, sndcs_client/Config.py, gtk/Application.py,
	sndcs_common/Logger.py, sndcs_common/__init__.py: Removed
	WIN32_INSTALLER variable and added main_is_frozen() and get_main_dir()
	to Win32HelperMixin.py to help with win32 installer version.
	* win32clientsetup.py, configure_sndcs.py, sndcs2.iss: Improved the
	win32 installer by making the configure_sndcs.py script an .exe and
	running it after the installation.

2006-09-05 Seth Remington <sremington@saberlogic.com>

	* sndcs_common/__init__.py, sndcs_client/gtk/Application.py,
	sndcs_common/Logger.py: Added WIN32_INSTALLER variable to make win32
	installer builds easier. Automatically changes file locations if set
	to True

2006-08-29 Seth Remington <sremington@saberlogic.com>

	* sndcs_client/gtk/AvailableActivitiesTreeView.py: Fixed bug [ 1546887
	] Jobs not sorted correctly when department_jobs = True
	* sndcs/web/lib/SitePage.py: Switch the color order of the next_color()
	function
	* sndcs/web/sndcs2_web/dcs_edit_employees/index.py: Reset the
	alternating colors for each department

2006-08-28 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Fixed bug [ 1548170 ] Modal PIN Pad not honored on
	win32

2006-08-25 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Fixed bug [ 1546890 ] Setup activities not
	filtered when department_jobs = True

2006-08-24 Seth Remington <sremington@saberlogic.com>

	* MANIFEST.in: exclude GeneratedPy and GeneratedSQL directories from
	the source distributions
	* configure_sndcs.py: Fixed bug with reading in existing configuration
	on fresh install. Harcoded the config file install paths.

2006-08-24 Seth Remington <sremington@saberlogic.com>

	* SaberNet DCS 2.0.1 released

2006-08-24 Seth Remington <sremington@saberlogic.com>

	* configure_sndcs.py: Pull in configuration from installed config
	files as well as temp config file to make upgrades easier
	* AvailableActivitiesTreeView.py: Default the list to sort DESCENDING
	instead of ASCENDING

2006-08-23 Seth Remington <sremington@saberlogic.com>

	* dcs_edit_items/index.py: Fixed bug [ 1545457 ] NameError: global
	name 'converstionUnit' is not define

2006-08-22 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Fixed bug [ 1544822 ] Qty Complete Warning
	ignores config file setting

2006-08-19 Seth Remington <sremington@saberlogic.com>

	* setup.py: dcs_splash image not properly installed for the client.
	Added uninstall and clean commands to setup.py

2006-08-17 Seth Remington <sremington@saberlogic.com>

	* configure_sndcs.py: Check for ns_hostname wasn't using true()
	function

2006-08-16 Seth Remington <sremington@saberlogic.com>

	* SaberNet DCS 2.0.0 released

2006-08-15 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Add version info to splash screen

2006-08-15 Matthew Ranostay <mranostay@saberlogic.com

	* sndcs_client/gtk/Application.py: Added automatic restart when Heartbeat
	flatlines.

2006-08-12 Matthew Ranostay <mranostay@saberlogic.com>

	* sndcs/OperationFactory.py: Get Operations by Department function added.
	* sndcs/web/sndcs_web/dcs_edit_employees/task_list.py: Lists open Operation's by Department.

2006-08-11 Matthew Ranostay <mranostay@saberlogic.com>

	* gtk/Application.py: Added qty_complete feature
	* sndcs/LaborDtl.py: Added qtyComplete and qtyRequired to getDataDict()

2006-08-10 Matthew Ranostay <mranostay@saberlogic.com>

	* gtk/Application.py: Added ping event callback
	* scripts/pong.py: Added script to check version numbers

2006-08-08 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Fixed bug [ 1536802 ] Force end activities when
	starting job from recent activity

2006-07-28 Seth Remington <sremington@saberlogic.com>

	* docs: added new documentation using ReStructured Text

2006-07-24 Seth Remington <sremington@saberlogic.com>

	* Application.py: Fixed bug [ 1527952 ] Break/Lunch does not appear to
	set the terminal ID
	* LaborHed.py: Fixed bug [ 1527797 ] Ending a job gang should not set
	prevLaborDtl

2006-07-20 Seth Remington <sremington@saberlogic.com>

	* OperationFactory.py: Added task parameter to new()

2006-07-19 Seth Remington <sremington@saberlogic.com>

	* LaborDtl.py: Can now re-open a LaborDtl by setting opr_complete=0
	* gtk/Application.py: Added --host and --namespace command line
	parameter options
	* HeartbeatMonitor.py: Set the thread to be a daemon thread

2006-07-14 Seth Remington <sremington@saberlogic.com>

	* LaborDtl.py: Updated the production_stop event to send out job_num,
	qty_complete, qty_scrap, and activity_percentage

2006-07-12 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py: Provide an error message to the user if an
	operation can't be auto-toggled on the gang screen.

2006-07-11 Seth Remington <sremington@saberlogic.com>

	* Operation.py: added task code and description to available fields of
	the formated operation description
	* upgrade_database_v1_to_v2.py: Added task, department, and unit of
	measure imports

2006-07-10 Seth Remington <sremington@saberlogic.com>

	* Application.py: Changes to the way employee selection and clock in
	is handled.
	* upgrade_database_v1_to_v2.py: updates

2006-07-07 Seth Remington <sremington@saberlogic.com>

	* Application.py: Fixed bug [ 1518462 ] Selecting production activity
	with barcode throws exception

2006-07-05 Seth Remington <sremington@saberlogic.com>

	* Application.py: Moved the DCS server version check below the
	libglade initialization so that a flatline will display error box
	correctly.
	* EmployeeFactory.py: Fixed bug [ 1517515 ] WAP Active Employee List
	not sorted. Changed sort order in getActiveEmployees() to be lastName,
	firstName

2006-06-25 Seth Remington <sremington@saberlogic.com>

	* Application.py: Fixed bug [ 1514549 ] Select employee causes
	ConnectionClosedError

2006-06-25 Seth Remington <sremington@saberlogic.com>

	* LaborDtl.py, Application.py: Show currently completed amount on the
	end activity screen. Show unit of measure on the end activity screen.

2006-06-24 Seth Remington <sremington@saberlogic.com>

	* Classes.csv, LaborDtl.py: Added qtyComplete, qtyScrap, qtyRequired
	to the Operation model as well as code to populate it

2006-06-23 Seth Remington <sremington@saberlogic.com>

	* Fixed bug [ 1509914 ] Pyro.errors.ConnectionDeniedError server too
	busy

**************** Missing Documentation ***************
****************** Heavy Development *****************

2006-04-12 Matthew Ranostay <mranostay@saberlogic.com>
	* Win32 support added

2006-04-11 Matthew Ranostay <mranostay@saberlogic.com>
	* TSQL/MSSQL support added

2006-04-07 Matthew Ranostay <mranostay@saberlogic.com>
	* PostgreSQL support added
	* Browser rendering problems fixed

2006-04-07 Seth Remington <sremington@saberlogic.com>

	* lots: Converted to client/server using Pyro

2006-02-22 Matthew Ranostay <mranostay@saberlogic.com>

	* lots: Added sndcs2_web administration front end

2006-02-15 Seth Remington <sremington@saberlogic.com>

	* Classes.csv: Made laborhed.posted and labordtl.posted bools

2006-02-06 Seth Remington <sremington@saberlogic.com>

	* gtk/ActiveEmployeesTreeView.py, gtk/Application.py, sndcs_gtk: Made
	the active employee list update in a separate thread

2005-12-27 Seth Remington <sremington@saberlogic.com>

	* gtk/JobAdminTreeView.py: refactor into populuate function
	* gtk/sndcs.glade: removed the viewports the treeviews were packed
	into. They messed up scrolling.
	* lots: replaced all CLists with TreeViews
	* scripts/README, scripts/upgrade_database_v1_to_v2.py: added script
	to import version 1 to version 2

2005-12-15 Seth Remington <sremington@saberlogic.com>

	* README: updated pygtk version info
	* configure_sndcs.py: Change blank password to default to 'N'

2005-12-12 Seth Remington <sremington@saberlogic.com>

	* configure_sndcs.py: Always prompt for a password.
	* Classes.csv: Added Routing and BOM
	* EmployeeAdminTreeView.py: Don't change employee status is nothing
	changed.
	* JobAdminTreeView.py: Optimize the query to populate the treeview.
	Make the treeview populate lazily.
	* gtk/Application.py: Optimize the populateAvailableActivitiesList()
	query

2005-12-07 Seth Remington <sremington@saberlogic.com>

	* Classes.csv: changed Employee status to be a required field.
	* EmployeeFactory.py: changed getActiveEmployees() to pull employees
	whose status is "Active" and added getLoggedInEmployees() to pull
	employees with active labor heds.
	* Store.py: made sqlEscape an attribute of the store object
	* configure_sndcs.py: Use getpass for the database password

2005-11-30 Seth Remington <sremington@saberlogic.com>

	* configure_sndcs.py: Made some changes for win32 compatibility
	* Store.py: use the host supplied in the config file
	* SndcsExceptions.py: (new file) Moved general Exceptions into it's
	own module
	* gtk/sndcs_gtk: Display error dialog box when can't connect to
	database.

2005-11-24 Seth Remington <sremington@saberlogic.com>

	* configure_sndcs.py, Employee.py, LaborHed.py, Application.py:
	Terminal ID's are correcty stored.

2005-11-22 Seth Remington <sremington@saberlogic.com>

	* gtk/Application.py, sndcs/gtk/sndcs2.glade: begin the
	administration window.

2005-11-21 Seth Remington <sremington@saberlogic.com>

	* many: Can now add notes to labordtls. Finished handling barcodes.
	Finished about dialog box.

2005-11-18 Seth Remington <sremington@saberlogic.com>

	* many: Finished ending activities and started handling barcodes

2005-11-16 Seth Remington <sremington@saberlogic.com>

	* many: Implemented the end_activity_dynamic screen

2005-11-02 Seth Remington <sremington@saberlogic.com>

	* sndcs/web/*: Added beginnings of web client/server

2005-10-27 Seth Remington <sremington@saberlogic.com>

	* *.*: Initial import of sndcs2 sources
